


Name: libkmahjongg
Summary: Library used for loading and rendering of Mahjongg tilesets
Version: 23.08.5
Release: %mkrel 1
Group: Graphical desktop/KDE5
License: GPLv2 and LGPLv2 and GFDL
URL: http://games.kde.org/
Source: http://download.kde.org/stable/%version/src/%name-%version.tar.xz
BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl
BuildRequires: cmake
BuildRequires: kf5-macros
BuildRequires: %{_lib}kconfig-devel
BuildRequires: %{_lib}kcoreaddons-devel
BuildRequires: %{_lib}kf5completion-devel
BuildRequires: %{_lib}kf5configwidgets-devel
BuildRequires: %{_lib}kf5i18n-devel
BuildRequires: %{_lib}kf5widgetsaddons-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5widgets-devel

%description 
This package provides the library for loading and rendering of Mahjongg tilesets
and associated backgrounds, used by KMahjongg and KShisen.


#------------------------------------------------------------------------------

%package -n kmahjongglib
Summary: Common files needed by KMahjongg and KShisen
Group: Graphical desktop/KDE5

%description -n kmahjongglib
Common files needed by KMahjongg and KShisen.

%files -n kmahjongglib
%_kf5_datadir/kmahjongglib
%_kf5_datadir/locale
%_kf5_datadir/qlogging-categories5/libkmahjongg.categories
#-------------------------------------------------------------------------------

%define libkmahjongglib_major 5
%define libkmahjongglib %mklibname kf5mahjongglib %{libkmahjongglib_major}

%package -n %libkmahjongglib
Summary: Runtime library for kmahjongg
Group: Graphical desktop/KDE5

%description -n %libkmahjongglib
Runtime library for kmahjongg. 

%files -n %libkmahjongglib
%_kf5_libdir/libKF5KMahjongglib.so.%{libkmahjongglib_major}*

#-------------------------------------------------------------------------------
%define libkmahjongglib_devel %mklibname kf5mahjongglib -d

%package -n %libkmahjongglib_devel
Summary: Headers files for libkmahjongg
Group: Development/Libraries
Requires: %libkmahjongglib

%description -n %libkmahjongglib_devel
Headers files needed to build applications based on kdegames applications.

%files -n %libkmahjongglib_devel
%_kf5_libdir/*.so
%_kf5_includedir/*
%_kf5_libdir/cmake/KF5KMahjongglib

#------------------------------------------------------------------------------

%prep
%setup -q 

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

